    A one-dimensional line-broadening profile.

linebroad
>>> create_model_component("linebroad", "mdl")
>>> print(mdl)

Create a component of the linebroad model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ampl thawed 1 0 3.40282e+38 mdl.rest thawed 1000 1.17549e-38 3.40282e+38 mdl.vsini thawed 1.17549e-38 1.17549e-38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
ampl
The amplitude of the line.
rest
The rest wavelength.
vsini
The rotation velocity (v sin(i)), in km/s.

Notes

The model is:

f(lambda) = 2 * ampl * c * sqrt(x) / (pi * rest * vsini)

x = 1 - ((lambda - rest) * c / (rest * vsini))^2

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023